> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # List Observability Events > This API call provides detailed information about events in each POP, including the operation type and summary, status, start and end time, duration, and request ID. All Observability events are returned sorted by time.

Note: Observability data is retained for a limited period and is not stored indefinitely. Ensure that any data required for long-term analysis or auditing is exported or archived externally within your retention window. ## OpenAPI ````json GET /orchestrator/1.0/observability-events/env/{envId}/pop/{popId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "

The PlainID Authorization Platform provides Management capabilities through the APIs below.

To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
RegionBase URL
United States (US)https://api.us1.plainid.io
Canada (CA)https://api.ca1.plainid.io
Europe (EU)https://api.eu1.plainid.io
Local PAAhttps://api.plainid.local
" }, "servers": [ { "description": "United States", "url": "https://api.us1.plainid.io" }, { "description": "Europe", "url": "https://api.eu1.plainid.io" }, { "description": "Canada", "url": "https://api.ca1.plainid.io" }, { "description": "Local PAA", "url": "https://api.plainid.local" } ], "tags": [ { "name": "access-file-authorizer-oas", "description": "access-file-authorizer-oas" }, { "name": "authz-packager-oas", "description": "authz-packager-oas" }, { "name": "SQL Database Authorizer", "description": "API for modifying SQL queries based on authorization policies" }, { "name": "delegated-admin-oas", "description": "delegated-admin-oas" }, { "name": "Discovery", "description": "Discovery APIs" }, { "name": "Enrichment", "description": "Enrichment APIs" }, { "name": "env-mgmt-oas", "description": "env-mgmt-oas" }, { "name": "hybrid-commander-oas", "description": "hybrid-commander-oas" }, { "name": "auth-keys", "description": "Auth key operations" }, { "name": "components", "description": "Component operations" }, { "name": "paas", "description": "PAA operations" }, { "name": "paa-groups", "description": "PAA group operations" }, { "name": "packages", "description": "Package configuration operations" }, { "name": "secret-stores", "description": "Secret store operations" }, { "name": "Table Mapping", "description": "Table Mapping" }, { "name": "Column Mapping", "description": "Column Mapping" }, { "name": "Api Mapping", "description": "Api Mapping" }, { "name": "notifier-oas", "description": "notifier-oas" }, { "name": "shadow-tracker", "description": "Shadow tracker SSE stream" }, { "name": "orchestrator-oas", "description": "orchestrator-oas" }, { "name": "POP", "description": "pop operations" }, { "name": "org-mgmt-oas", "description": "org-mgmt-oas" }, { "name": "pip-mgmt-oas", "description": "pip-mgmt-oas" }, { "name": "monitor-loggers", "description": "monitor-loggers" }, { "name": "Policy Management APIs", "description": "Policy Management APIs" }, { "name": "Policy Management APIs 1.0", "description": "Policy Management APIs 1.0" }, { "name": "Policy Management APIs 2.0", "description": "Policy Management APIs 2.0" }, { "name": "Policy Building Blocks Management APIs 2.0", "description": "Policy Building Blocks Management APIs 2.0" }, { "name": "Audit", "description": "Audit" }, { "name": "Asset Template", "description": "Asset Template" }, { "name": "Application", "description": "Application" }, { "name": "Api Mapper", "description": "Api Mapper" }, { "name": "Identity Template", "description": "Identity Template" }, { "name": "Identity Sources", "description": "Identity Sources" }, { "name": "Mapper Sets", "description": "Mapper Sets" }, { "name": "Identity Template V2", "description": "Identity Template V2" }, { "name": "PAA Sources", "description": "PAA Sources" }, { "name": "PAA Views", "description": "PAA Views" }, { "name": "PAA Groups", "description": "PAA Groups" }, { "name": "Scope", "description": "Managed Scope APIs" }, { "name": "Authentication for Management APIs", "description": "Authentication for Management APIs" }, { "name": "runtime", "description": "runtime" }, { "name": "Cache Management", "description": "Cache invalidation operations for Runtime service" } ], "externalDocs": { "url": "https://docs.plainid.io/apidocs/policy-management-apis" }, "paths": { "/orchestrator/1.0/observability-events/env/{envId}/pop/{popId}": { "get": { "security": [ { "bearerAuth": [] } ], "summary": "List Observability Events", "operationId": "getObservabilityEvents", "tags": [ "POP" ], "description": "This API call provides detailed information about events in each POP, including the operation type and summary, status, start and end time, duration, and request ID. All Observability events are returned sorted by time.

Note: Observability data is retained for a limited period and is not stored indefinitely. Ensure that any data required for long-term analysis or auditing is exported or archived externally within your retention window. ", "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "example": "ec3ff4ee-81f9-4e7f-9037-6fa9fde62cc8" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings." }, { "name": "popId", "in": "path", "required": "true", "schema": { "type": "string", "example": "POPS269J5C16H8N4" }, "description": "POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings in the Integration Workspace." }, { "name": "filter[flowType]", "in": "query", "required": "false", "style": "form", "explode": "false", "description": "Input one or more flow types to filter by. To filter by multiple flow types, separate them with commas (e.g. `discovery,accept-all-platform-changes`).", "schema": { "type": "array", "example": "discovery", "items": { "type": "string", "enum": [ "discovery", "accept-vendor-changes", "accept-platform-changes", "accept-all-platform-changes" ] } } }, { "name": "filter[flowType][in]", "in": "query", "required": "false", "style": "form", "explode": "false", "description": "Input multiple flow types to filter by. You can choose multiple and separate them using a comma.", "schema": { "type": "array", "example": "discovery,accept-all-platform-changes", "items": { "type": "string", "enum": [ "discovery", "accept-vendor-changes", "accept-platform-changes", "accept-all-platform-changes" ] } } }, { "name": "filter[status]", "in": "query", "required": "false", "style": "form", "explode": "false", "schema": { "type": "array", "example": "Completed", "items": { "type": "string", "enum": [ "Completed", "Failed", "Running", "Partial" ] } }, "description": "Input one or more statuses to filter by. To filter by multiple statuses, separate them with commas (e.g. `Completed,Failed`)." }, { "name": "filter[status][in]", "in": "query", "required": "false", "style": "form", "explode": "false", "description": "Input multiple types of statuses to filter by. Refer to the `filter[status]` parameter to filter by a single status.", "schema": { "type": "array", "example": "Completed,Failed", "items": { "type": "string", "enum": [ "Completed", "Failed", "Running", "Partial" ] } } }, { "name": "filter[fromTime]", "in": "query", "required": "false", "schema": { "type": "string", "example": "2024-06-01T00:00:00Z" }, "description": "The start of the time range to filter workflows by (must be in UTC). If omitted, the API defaults to the last 30 days from the time of the request.

When provided, the value must be formatted as RFC3339 or RFC3339Nano (e.g. `2024-06-01T12:00:00Z`). Malformed values return a `400` error. If `filter[toTime]` is also set, `fromTime` must not be later than `filter[toTime]`." }, { "name": "filter[toTime]", "in": "query", "required": "false", "schema": { "type": "string", "example": "2024-06-15T23:59:59Z" }, "description": "The end of the time range to filter workflows by (must be in UTC). If omitted, the API defaults to the current time of the request.

When provided, the value must be formatted as RFC3339 or RFC3339Nano (e.g. `2024-06-01T12:00:00Z`). Malformed values return a `400` error. If `filter[fromTime]` is also set, `toTime` must not be earlier than `filter[fromTime]`." }, { "name": "limit", "in": "query", "required": "false", "schema": { "type": "integer", "default": "20", "minimum": "1", "maximum": "100", "example": "20" }, "description": "Maximum number of events to return (default 20, maximum 100)." }, { "name": "offset", "in": "query", "required": "false", "schema": { "type": "integer", "default": "0", "minimum": "0", "example": "0" }, "description": "Number of matching events to skip before returning results." } ], "responses": { "200": { "description": "Success", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ObservabilityEventsResponse" }, "examples": { "discovery_completed": { "summary": "Completed discovery event", "value": { "data": [ { "flowType": "discovery", "popId": "POPS269J5C16H8N4", "status": "Completed", "startTime": "2024-06-14T08:15:00Z", "endTime": "2024-06-14T08:18:42Z", "summary": "Discovery summary from Snowflake: 12 policies were discovered from Credit Risk Control Center", "executionId": "0192a1b2-c3d4-7890-abcd-ef1234567890", "requestId": "req-7f3a9c2e-4b1d-4e8a-9f0c-1a2b3c4d5e6f", "durationMs": "222000", "discoveryResult": { "isDiscoveryChanged": "true", "vendorObjectsDiscovered": "45", "vendorObjectAttributesDiscovered": "128", "vendorIdpsDiscovered": "3", "policiesDiscovered": "12" } } ], "meta": { "total": "1", "limit": "20", "offset": "0" } } }, "deployment_running": { "summary": "Running accept-all-platform-changes event", "value": { "data": [ { "flowType": "accept-all-platform-changes", "popId": "POPS269J5C16H8N4", "status": "Running", "startTime": "2024-06-15T09:00:00Z", "summary": "Accept All Platform Changes Running", "executionId": "0192b2c3-d4e5-8901-bcde-f12345678901", "requestId": "req-8a4b0d3f-5c2e-4f9b-a0d1-2b3c4d5e6f70", "policiesDeployedCount": "8" } ], "meta": { "total": "1", "limit": "20", "offset": "0" } } } } } } }, "400": { "description": "Bad Request" }, "401": { "description": "Unauthorized" }, "404": { "description": "Not Found" }, "500": { "description": "Internal Server Error" } } } } }, "components": { "schemas": { "ObservabilityEventsResponse": { "type": "object", "required": [ "data", "meta" ], "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/ObservabilityFlowEvent" } }, "meta": { "$ref": "#/components/schemas/ObservabilityEventsMeta" } } }, "ObservabilityFlowEvent": { "type": "object", "description": "A single orchestration flow execution for observability listings.", "required": [ "requestId" ], "properties": { "flowType": { "type": "string", "description": "Type of Operation selected", "enum": [ "discovery", "single-policy-discovery", "accept-all-vendor-changes", "accept-vendor-changes", "accept-platform-changes", "accept-all-platform-changes", "other" ] }, "popId": { "type": "string", "description": "POP ID" }, "status": { "type": "string", "description": "Workflow status" }, "startTime": { "type": "string", "description": "Start time range for the workflow" }, "endTime": { "type": "string", "description": "End time range for the workflow", "nullable": "true" }, "scheduledTime": { "type": "string", "nullable": "true", "description": "Scheduled time for workflow" }, "summary": { "type": "string", "description": "Summary in case there is a workflow failure" }, "executionId": { "type": "string", "description": "Execution ID for Workflow. You can use this for the Get Observability Detailed Events API call." }, "requestId": { "type": "string", "description": "Flow Execution Request ID" }, "durationMs": { "type": "integer", "format": "int64", "nullable": "true", "description": "Operation start time to end in milliseconds. This is omitted if the operation is still running." }, "discoveryResult": { "description": "Discovery event counts captured from the workflow discovery", "$ref": "#/components/schemas/ObservabilityDiscoveryEventResult" }, "policiesDeployedCount": { "type": "integer", "nullable": "true" } } }, "ObservabilityEventsMeta": { "type": "object", "required": [ "total", "limit", "offset" ], "properties": { "total": { "type": "integer" }, "limit": { "type": "integer", "maximum": "100", "description": "Page size requested (maximum 100)." }, "offset": { "type": "integer" } } }, "ObservabilityDiscoveryEventResult": { "type": "object", "description": "Discovery outcome summary from workflow memo (when available).", "properties": { "isDiscoveryChanged": { "type": "boolean" }, "vendorObjectsDiscovered": { "type": "integer" }, "vendorObjectAttributesDiscovered": { "type": "integer" }, "vendorIdpsDiscovered": { "type": "integer" }, "policiesDiscovered": { "type": "integer" } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "description": " For more details about Administration API Authentication, check out the Authentication APIs documentation
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: `Authorization: Bearer 123`" } } } } ````